Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Delete attribute template field

Permanently deletes a field definition from an attribute template. This also removes all field values associated with this field from all attributes using the template.

DELETE/api/v1/{team_slug}/{app_slug}/attributes/{attribute_template_key}/field/{attribute_template_field_key}
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
app_slugstringrequired

App slug

team_slugstringrequired

Team slug

attribute_template_keystringrequired

Attribute template key

attribute_template_field_keystringrequired

Attribute template field key

Responses
200

Attribute template field deleted

datastringrequired
detailsstring[]

Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes

successbooleanrequired
400

Invalid request (e.g. bad UUID, validation error)

detailsstring[]
messagestring
successbooleanrequired
401

Unauthorized access

detailsstring[]
messagestring
successbooleanrequired
500

Internal server error

detailsstring[]
messagestring
successbooleanrequired
Try it
Server
Authorization
Parameters
Request
curl -X DELETE 'https://api.enad.io/api/v1/string/string/attributes/string/field/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "data": "string",
  "details": [
    "string"
  ],
  "success": true
}